name: component_library
publish_to: none

environment:
  sdk: ">=2.14.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter
  intl: ^0.17.0
  flutter_svg: ^1.1.6
  auto_size_text: ^3.0.0-nullsafety.0
  image_picker: ^0.8.6
  file_picker: ^5.2.3
  extended_image: ^6.3.4

dev_dependencies:
  flutter_test:
    sdk: flutter
  mocktail: 0.1.4
  test: ^1.16.8
  flutter_lints: ^1.0.4

flutter:
  generate: true
  assets:
    - assets/
  fonts:
    - family: Montserrat
      fonts:
        - asset: assets/fonts/Montserrat-Regular.ttf
          weight: 400
        - asset: assets/fonts/Montserrat-Medium.ttf
          weight: 500
        - asset: assets/fonts/Montserrat-MediumItalic.ttf
          weight: 500
          style: italic
        - asset: assets/fonts/Montserrat-SemiBold.ttf
          weight: 600
        - asset: assets/fonts/Montserrat-SemiBoldItalic.ttf
          weight: 600
          style: italic
        - asset: assets/fonts/Montserrat-Bold.ttf
          weight: 700
        - asset: assets/fonts/Montserrat-BoldItalic.ttf
          weight: 700
          style: italic
